Open In App
Related Articles

C++ | Exception Handling | Question 1

Improve
Improve
Improve
Like Article
Like
Save Article
Save
Report issue
Report
#include <iostream>
using namespace std;
int main()
{
   int x = -1;
   try {
      cout << "Inside try \n";
      if (x < 0)
      {
         throw x;
         cout << "After throw \n";
      }
   }
   catch (int x ) {
      cout << "Exception Caught \n";
   }
  
   cout << "After catch \n";
   return 0;
}

                    
(A)
Inside try
Exception Caught
After throw 
After catch
(B)
Inside try
Exception Caught
After catch
(C)
Inside try
Exception Caught
(D)
Inside try
After throw
After catch


Answer: (B)

Explanation: When an exception is thrown, lines of try block after the throw statement are not executed. When exception is caught, the code after catch block is executed. Catch blocks are generally written at the end through.

Quiz of this Question

Last Updated : 28 Jun, 2021
Like Article
Save Article
Previous
Next
Share your thoughts in the comments
Similar Reads